class V1::SearchController < ApplicationController

  # GET v1/searches
  # GET v1/searches.json
  def index
    render json: search_service.search(params)
  end

  # GET v1/searches/autocomplete
  # GET v1/searches/autocomplete.json
  def autocomplete
    render json: search_service.autocomplete(params)
  end

  private

  def search_service
    @search_service ||= SearchService.new
  end

end